Bug 1104962 - stricter checking for bind()'s with empty passwords
Summary: stricter checking for bind()'s with empty passwords
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: php-horde-Horde-Ldap
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1104961
Blocks: CVE-2014-3999
TreeView+ depends on / blocked
 
Reported: 2014-06-05 06:25 UTC by Murray McAllister
Modified: 2015-01-04 22:40 UTC (History)
3 users (show)

Fixed In Version: php-horde-Horde-Ldap-2.2.0-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 1104961
Environment:
Last Closed: 2014-07-07 19:04:07 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-06-05 06:25:20 UTC
+++ This bug was initially created as a clone of Bug #1104961 +++

Description of problem:
It was reported[1] that php-horde-Horde-Ldap could be used to connect to an LDAP server with an empty password. In this case, the flaw is in the LDAP server, so this issue is just considered hardening[2].

https://github.com/horde/horde/commit/8f719b53b0ee2d4b8a40a770430683c98fb5f2fd
https://github.com/horde/horde/commit/4c3e18f1724ab39bfef10c189a5b52036a744d55

It was reported that the issue is resolved in version 2.0.6, which is already in Fedora 20 testing.

[1] http://www.openwall.com/lists/oss-security/2014/06/04/22
[2] http://www.openwall.com/lists/oss-security/2014/06/05/12

Comment 1 Remi Collet 2014-06-05 08:35:59 UTC
Most of the horde stack (including the app) is currently in epel-testing (~40 packages).

I prefer to wait a few days, to not go again for new 15 days delay, and will update Horde_Ldap as soon as possible, after push to stable.

Comment 2 Fedora Update System 2014-06-11 05:33:25 UTC
php-horde-Horde-Ldap-2.1.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-horde-Horde-Ldap-2.1.0-1.el6

Comment 3 Fedora Update System 2014-06-11 23:36:07 UTC
Package php-horde-Horde-Ldap-2.1.0-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing php-horde-Horde-Ldap-2.1.0-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1627/php-horde-Horde-Ldap-2.1.0-1.el6
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-06-18 15:56:02 UTC
Package php-horde-Horde-Ldap-2.2.0-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing php-horde-Horde-Ldap-2.2.0-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1627/php-horde-Horde-Ldap-2.2.0-1.el6
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-07-07 19:04:07 UTC
php-horde-Horde-Ldap-2.2.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.